<?php
/*
Plugin Name: NBC LogonOnIndex
Version: 1.0.a
Description: Rajoute un cadre "Identification" sur votre page d'accueil, et le supprime du menu gauche.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=157
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


add_event_handler('loc_begin_menubar', 'nbc_LogonOnIndex_delete_identification');
function nbc_LogonOnIndex_delete_identification()
{
  global $user;

  if ( $user['is_the_guest'] )
  {
    // Recupere et enleve le bout de code Identification
    $s = personal_remove_tpl_code('menubar', '<dl id="mbIdentification">', '<!-- END quickconnect -->'.chr(10).chr(10).'  </dd>'.chr(10).'</dl>');
  }
}



add_event_handler('loc_begin_page_header', 'nbc_LogonOnIndex_add_css' );
function nbc_LogonOnIndex_add_css()
{
  global $template;

  $template -> assign_block_vars(
    'head_element', array (
      'CONTENT' => '<link rel="stylesheet" type="text/css" href="plugins/nbc_LogonOnIndex/nbc_LogonOnIndex.css">'
    )
  );
}



add_event_handler('loc_end_index' , 'nbc_LogonOnIndex', 30);

function nbc_LogonOnIndex()
{
  global $page, $user;

  if (isset($page['body_id']) and $page['section'] == 'categories' and (!isset($page['category'])) and $user['is_the_guest'] )
  {
    include_once(dirname(__FILE__) . '/nbc_LogonOnIndex.php');
  }
}



?>
